DELETE https://api.cryptohopper.com/v1/hopper/{id}/arbitrage/backlog

Deletes the backlog positions listed in backlog_ids from an arbitrage bot.

OAuth scope: read manage About scopes

backlog_ids is required; this endpoint does not delete the whole backlog. Returns an error when only some or none of the positions could be deleted.

Example request

curl -X DELETE "https://api.cryptohopper.com/v1/hopper/HOPPER_ID/arbitrage/backlog" \
  -H "access-token: YOUR_ACCESS_TOKEN" \
  -H "Content-Type: application/json" \
  -d '{"backlog_ids":[1370001,1370002]}'

Parameters

Headers

NameTypeRequiredDescription
access-token string Required The OAuth access token of the user.

Path parameters

NameTypeRequiredDescription
id string Required Hopper ID of an arbitrage bot.

Response

Example response (illustrative values)

{
    "data": "Backlog(s) removed."
}

Status codes: 200. Errors return JSON with status, error and message. See How the API works for response codes and rate limits.